From e89e09dd2b9b42184973e3ade291186a2737bced Mon Sep 17 00:00:00 2001
From: Nick Kralevich <nnk@google.com>
Date: Tue, 10 Dec 2013 10:18:10 -0800
Subject: [PATCH] Fix overflow in adb_client

Change-Id: I7f8582bd8a69d61ce47d11a9ffd0e901fc371037
Credit: Joshua Drake
Bug: 12060953
---
 adb/adb_client.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/adb/adb_client.c b/adb/adb_client.c
index 9a812f0..89eb428 100644
--- a/adb/adb_client.c
+++ b/adb/adb_client.c
@@ -228,7 +228,7 @@ int adb_connect(const char *service)
     } else {
         // if server was running, check its version to make sure it is not out of date
         char buf[100];
-        int n;
+        size_t n;
         int version = ADB_SERVER_VERSION - 1;
 
         // if we have a file descriptor, then parse version result
@@ -237,7 +237,7 @@ int adb_connect(const char *service)
 
             buf[4] = 0;
             n = strtoul(buf, 0, 16);
-            if(n > (int)sizeof(buf)) goto error;
+            if(n > sizeof(buf)) goto error;
             if(readx(fd, buf, n)) goto error;
             adb_close(fd);
 
